"use strict";
cc._RF.push(module, '141679xdu5LrrHebG8bo1j6', 'EXCEL_TYPE');
// EXCEL_TYPE.js

"use strict";

/**
 *   常量类型 

 * [self description]
 * @type {[type]}
 *  
 * nickName  : "antwand",
 * site : "http://antwand.com"
 * 
 */
var self = module.exports = {
  //类型定义常量 
  type_data: {
    int32: "int32",
    int64: "int64",
    string: "string"
  },
  //导出的类型常量 
  type_formatdata_to: {
    formatdata_to_javascript_all: 0,
    //吧所有excel导出到一个js文件里
    formatdata_to_db_one: 1 //吧所有excel导出到对应单个的db文件里

  },
  //导出的选项 
  type_json_init: {
    key_row_num: 6,
    //第6行是key
    type_formatdata_to_: 0,
    //导出的格式
    EXCEL_SOURCE_Path: null,
    //excel的路径
    JSON_SOURCE_Path: null //导出json的路径 

  },

  /**
   *  吧 excel 中 值转化为对应类型的值 
   * [getValue description]
   * @type {Object}
   */
  getValue: function getValue(source, type) {
    if (type == this.type_data.int32) {
      return Number(source);
    } else if (type == this.type_data.int64) {
      return Number(source);
    } else {
      return source.toString();
    }
  }
};

cc._RF.pop();